
;* FileName     : SRAM_main.inc
;* Dependencies : See INCLUDES section below
;* Processor    : PIC16F family of PICmicro - 8 bit MCU      
;* Assembler/
;* Linker       : MPASM
;* Company      : Microchip Technology, Inc.
;*
;*                     Software License Agreement                      
;*                                                                     
;* Microchip Technology Inc. (Microchip) licenses this software to you
;* solely for use with Microchip microcontrollers and Microchip serial
;* EEPROM products.  The software is owned by Microchip and/or its
;* licensors, and is protected under applicable copyright laws.  All
;* rights reserved.
;*
;* SOFTWARE IS PROVIDED "AS IS."  MICROCHIP AND ITS LICENSOR EXPRESSLY
;* DISCLAIM ANY WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED,
;* INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
;* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
;* NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP AND ITS LICENSORS BE
;* LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
;* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
;* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
;* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
;* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
;*
;* Author                   Date                Version         Comment
;*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;* Deepak Kumar Rana        20-Feb-08           V1.0            Original
;*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




         errorlevel  -302   			;Turn off banking message
    	 errorlevel  -205   			;Turn off found directive in column 1
   		 errorlevel  -207   			;Turn off warnings of found label after column 1
 

;		extern Init_SPI
;		extern Write_Byte
;		extern Read_Byte
;		extern Write_SR
;		extern Read_SR
;        extern Init_Datamem
;		extern Write_Page
;        extern Read_Page
;        extern Seq_Write
;        extern Seq_Read
;
        extern	Data_Out
        extern	Data_In
        extern	Addr_High
        extern	Addr_Low
        extern  Data_Writepage
   		extern  Data_Readpage
   		extern  count
        extern  mode
        
   
    	#define Byte_Mode 0x01  		 ;bit7 =0 bit6 =0 setting LSB 1 disables the hold functionality
		#define Page_Mode 0x81  		 ;bit7 =1 bit6 =0
		#define Seq_Mode  0x61  		 ;bit7 =0 bit6 =1  sequential mode
	


